com.abbyy.mobile.rtr

## Enum IImageCaptureService.QualityAssessmentForOcrBlockType

- java.lang.Object
- - java.lang.Enum<IImageCaptureService.QualityAssessmentForOcrBlockType>
  - - com.abbyy.mobile.rtr.IImageCaptureService.QualityAssessmentForOcrBlockType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IImageCaptureService.QualityAssessmentForOcrBlockType>
  Enclosing interface:
    IImageCaptureService

      public static enum IImageCaptureService.QualityAssessmentForOcrBlockType
      extends java.lang.Enum<IImageCaptureService.QualityAssessmentForOcrBlockType>

  Type of quality assessment block

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Text` Text detected
    `Unknown` Unknown block type

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `Tag` Temporary, will be removed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IImageCaptureService.QualityAssessmentForOcrBlockType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IImageCaptureService.QualityAssessmentForOcrBlockType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Text

          public static final IImageCaptureService.QualityAssessmentForOcrBlockType Text

      Text detected

    - #### Unknown

          public static final IImageCaptureService.QualityAssessmentForOcrBlockType Unknown

      Unknown block type

  - ### Field Detail

    - #### Tag

          public int Tag

      Temporary, will be removed. Not documented

  - ### Method Detail

    - #### values

          public static IImageCaptureService.QualityAssessmentForOcrBlockType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IImageCaptureService.QualityAssessmentForOcrBlockType c : IImageCaptureService.QualityAssessmentForOcrBlockType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IImageCaptureService.QualityAssessmentForOcrBlockType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null